6.0.0-git
2018-12-15

[#7939] Central content reporting system
Summary Central content reporting system
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester duck (at) obala (dot) net
Created 2009-02-03 (3602 days ago)
Due
Updated 2009-03-13 (3564 days ago)
Assigned
Resolved
Milestone
Patch Yes

History
2009-03-13 09:02:24 Duck Comment #5 Reply to this comment

[Show Quoted Text - 21 lines]
I agree, publishing content can go in to feeds. But even they, are 
limited up to 10 per user per day. And not all notifications are about 
content.



Probably ti will be better to have two FB implementations. One to be 
trigged by application (ex to add a feed entry when adding content ) 
and one to notify users (example to return a disposition notification).



To reduce the number of external messages we can even make an 
crossover check to see if local friends are even FB friends (probably 
mostly). So a user is not notified remotely if can be locally (my mail 
or with Letter).




2009-03-12 14:07:50 Michael Rubinsky Comment #4 Reply to this comment
For example if you would like to in
invite your friends so see you page content it will send a
notification to all your FB fends
This is cool, but I'm not sure that you should allow individual users 
the ability to trigger FB Notifications to all of their friends. FB 
puts a limit on the number of Notifications that the application (in 
this case, your Horde install) can send in one day for each user. That 
can easily be hit if a user sends all of his/her friends one or two 
notifications. Per FB's docs, if the number of recipients in the 
notification.send method is more then the allocation, only the first x 
friends are sent the message.  If you want to use notifications for 
this, I would suggest first checking the allocation left for the user 
before attempting to send, and/or even display the number of 
notifications that are available. (This value is changed by FB 
depending on several factors regarding your application usage, number 
of users etc...)



Another option is to use something like Feed.publishUserAction 
(http://wiki.developers.facebook.com/index.php/Feed.publishUserAction
to put a "one line story" on the current user's Wall/Feed which would 
then show up on that user's friends' Live Feed as well.  It could even 
be (optionally) triggered on an action like adding a new image, 
gallery, video, whatever.  It's even possible to post a <img> tag in 
some of those stories etc....



Just my thoughts....
2009-03-12 10:44:39 Duck Comment #3 Reply to this comment
Maybe a good name for this it can be “Horde_Content_Notification”
2009-03-12 10:32:17 Duck Comment #2 Reply to this comment
Going forward with the idea about notification of users as admins, I 
come to a better general solution about driver based notification 
system that support. Currently is implemented in classified an letter.



Features:

driver based (facebook, ticket, mail, letter)

composite processing of multiply drivers

switchable driver purpose: a driver can be configured to notify: 
friends, users or admins. For example ticket system in practical will 
be probably used only to notify code admins, and Facebook only users 
and their friends.

internal driver checks if driver is actually available (if user has 
confirmed or FaceBook app, or a registry call exists...)

send notifications to friends. For example if you would like to in 
invite your friends so see you page content it will send a 
notification to all your FB fends and local friends if you have a 
registry call users/getFriends that returns and array of friend's 
usernames.



Code http://cvs.horde.org/incubator/letter/lib/ Notification*
2009-02-04 21:38:30 Chuck Hagenbuch State ⇒ Accepted
 
2009-02-03 15:23:50 Duck Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Central content reporting system
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
Reply to this comment
Currently Ansel, Oscar and Folks has exactly the same code for 
reporting “malware” content to application administrators (members of 
app:admin). This code should be moved to an autoload-able Horde 
hatchery framework library. So the code is shared and maintained 
there. Allowing a nice way to implement new drivers (ex. other ticket 
systems, notifications etc).



Currently the implemented drivers are Whups, Mail and Letter. All 
allowing attachments, so it should replace even the man Horde problem 
reporting screen.



The last updated code is present in Letter. Currently called 
Horde_Report, but the name is too vague for a global lib. Maybe can be 
added named to fit the new content system currently being developed 
for tagging, relationships, trackbacks...



Code

http://cvs.horde.org/incubator/letter/lib/Report.php

http://cvs.horde.org/incubator/letter/lib/Report/letter.php

http://cvs.horde.org/incubator/letter/lib/Report/mail.php

http://cvs.horde.org/incubator/letter/lib/Report/tickets.php

Saved Queries